Subject: Re: [PATCH v2] t: run tests from a normalized working directory

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Jun 2025 14:32:35 -0700

Mark Mentovai <[email-masked]> writes:

> `realpath` is a library interface that transforms paths to those
> having the semantics at issue, but it's somewhat obscure, and easily
> confused with "real path" whose meaning would be entirely
> ambiguous. realpath(3) documentation from POSIX[4] explains the
> semantics fully; glibc[5], and Linux man-pages[6] provide full
> explanation while also using the term "canonicalize".
>
> "Canonicalize" alone is too generic, because there are several axes of

Yes.  You need to specify what you are canonicalizing to, and once
you are going to do so, there is no need for that heavy verb, i.e.
you do not need to say "canonicalize it to realpath"---you say "turn
it into realpath" and you convey what you want to say just fine.

> All of this illustrates the difficulty in choosing a single term to
> unambiguously convey the meaning. I chose to write a commit message
> that favored technical precision, even if it meant tending toward what
> Junio called "the more verbose and repetitive side". I believed that
> to be necessary to fully explain the background, the problem, and the
> solution.

Yup, that is why I said I thought your original was clear enough.

I am tempted to say that we take what we have from you and merge it
down.